<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPLineEnding</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_line_ending.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-types">Typy publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_line_ending-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPLineEnding</div></div>
</div><!--header-->
<div class="contents">

<p>Handles the different ending decorations for line-like items.  
 <a href="class_q_c_p_line_ending.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Typy publiczne</h2></td></tr>
<tr class="memitem:a5ef16e6876b4b74959c7261d8d4c2cd5"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">EndingStyle</a> { <br />
&#160;&#160;<a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5aca12d500f50cd6871766801bac30fb03">esNone</a>
, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a3d7dcea2f100671727c3417142154f8f">esFlatArrow</a>
, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5ab9964d0d03f812d1e79de15edbeb2cbf">esSpikeArrow</a>
, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a61f78ee8f375fb21cb9d250687bbcbd2">esLineArrow</a>
, <br />
&#160;&#160;<a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5ae5a3414916817258bcc6dddd605e8f5c">esDisc</a>
, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5ae1836502fa43d8990bb62b2d493a140a">esSquare</a>
, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a378fe5a8b768411b0bc1765210fe7200">esDiamond</a>
, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a2cf543bbca332df26d89bf779f50469f">esBar</a>
, <br />
&#160;&#160;<a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a126c390f0c359fcd8df1fc5e38d26d5b">esHalfBar</a>
, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a2b2cc96e757ca9bcd91fb70221ed43ab">esSkewedBar</a>
<br />
 }</td></tr>
<tr class="separator:a5ef16e6876b4b74959c7261d8d4c2cd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:af2eaf8123b000d97fbd11929c669f61b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#af2eaf8123b000d97fbd11929c669f61b">QCPLineEnding</a> ()</td></tr>
<tr class="separator:af2eaf8123b000d97fbd11929c669f61b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb2abc7542f0c7a3c081d878248896a4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#abb2abc7542f0c7a3c081d878248896a4">QCPLineEnding</a> (<a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">EndingStyle</a> <a class="el" href="class_q_c_p_line_ending.html#a07e75aaac6c61322bf51af237c5778e3">style</a>, double <a class="el" href="class_q_c_p_line_ending.html#ae6f1fb83c210da6ace35d629993287f3">width</a>=8, double <a class="el" href="class_q_c_p_line_ending.html#aee9050a13fe115bd1b6794f9ad14cd72">length</a>=10, bool <a class="el" href="class_q_c_p_line_ending.html#a15a68706d298a0c9f94556f6b4db15ff">inverted</a>=false)</td></tr>
<tr class="separator:abb2abc7542f0c7a3c081d878248896a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07e75aaac6c61322bf51af237c5778e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">EndingStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a07e75aaac6c61322bf51af237c5778e3">style</a> () const</td></tr>
<tr class="separator:a07e75aaac6c61322bf51af237c5778e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6f1fb83c210da6ace35d629993287f3"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#ae6f1fb83c210da6ace35d629993287f3">width</a> () const</td></tr>
<tr class="separator:ae6f1fb83c210da6ace35d629993287f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee9050a13fe115bd1b6794f9ad14cd72"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#aee9050a13fe115bd1b6794f9ad14cd72">length</a> () const</td></tr>
<tr class="separator:aee9050a13fe115bd1b6794f9ad14cd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15a68706d298a0c9f94556f6b4db15ff"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a15a68706d298a0c9f94556f6b4db15ff">inverted</a> () const</td></tr>
<tr class="separator:a15a68706d298a0c9f94556f6b4db15ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56953b9cb8ed1bed0f025c3935f16910"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a56953b9cb8ed1bed0f025c3935f16910">setStyle</a> (<a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">EndingStyle</a> <a class="el" href="class_q_c_p_line_ending.html#a07e75aaac6c61322bf51af237c5778e3">style</a>)</td></tr>
<tr class="separator:a56953b9cb8ed1bed0f025c3935f16910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26dc020ea985a72cc25881ce2115e34e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a26dc020ea985a72cc25881ce2115e34e">setWidth</a> (double <a class="el" href="class_q_c_p_line_ending.html#ae6f1fb83c210da6ace35d629993287f3">width</a>)</td></tr>
<tr class="separator:a26dc020ea985a72cc25881ce2115e34e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae36fa01763751cd64b7f56c3507e935a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#ae36fa01763751cd64b7f56c3507e935a">setLength</a> (double <a class="el" href="class_q_c_p_line_ending.html#aee9050a13fe115bd1b6794f9ad14cd72">length</a>)</td></tr>
<tr class="separator:ae36fa01763751cd64b7f56c3507e935a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a580e4e2360b35ebb8d68f3494aa2335d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a580e4e2360b35ebb8d68f3494aa2335d">setInverted</a> (bool <a class="el" href="class_q_c_p_line_ending.html#a15a68706d298a0c9f94556f6b4db15ff">inverted</a>)</td></tr>
<tr class="separator:a580e4e2360b35ebb8d68f3494aa2335d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14fe390ddd590864ac66a60ed5278df5"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a14fe390ddd590864ac66a60ed5278df5">boundingDistance</a> () const</td></tr>
<tr class="separator:a14fe390ddd590864ac66a60ed5278df5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acacd24d386d459b282d3c57f16a5405d"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#acacd24d386d459b282d3c57f16a5405d">realLength</a> () const</td></tr>
<tr class="separator:acacd24d386d459b282d3c57f16a5405d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f45db54f2aba03acf055e29aec1e8e7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a4f45db54f2aba03acf055e29aec1e8e7">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;pos, const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;dir) const</td></tr>
<tr class="separator:a4f45db54f2aba03acf055e29aec1e8e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7ac30a81ba85b9bded148c6ec387391"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#af7ac30a81ba85b9bded148c6ec387391">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;pos, double angle) const</td></tr>
<tr class="separator:af7ac30a81ba85b9bded148c6ec387391"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a4696fc9117b60f1ca7690fcd2ba56611"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">EndingStyle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a4696fc9117b60f1ca7690fcd2ba56611">mStyle</a></td></tr>
<tr class="separator:a4696fc9117b60f1ca7690fcd2ba56611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca89d21341133c20dc6825c33a5eac48"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#aca89d21341133c20dc6825c33a5eac48">mWidth</a></td></tr>
<tr class="separator:aca89d21341133c20dc6825c33a5eac48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8e1e2566b96c05736cd92662dba8af8"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#ae8e1e2566b96c05736cd92662dba8af8">mLength</a></td></tr>
<tr class="separator:ae8e1e2566b96c05736cd92662dba8af8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91306fe771d54c955e0af21af14349d5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_line_ending.html#a91306fe771d54c955e0af21af14349d5">mInverted</a></td></tr>
<tr class="separator:a91306fe771d54c955e0af21af14349d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="image">
<img src="QCPLineEnding.png" alt=""/>
<div class="caption">
The various ending styles currently supported</div></div>
<p>For every ending a line-like item has, an instance of this class exists. For example, <a class="el" href="class_q_c_p_item_line.html" title="A line from one point to another.">QCPItemLine</a> has two endings which can be set with <a class="el" href="class_q_c_p_item_line.html#aebf3d687114d584e0459db6759e2c3c3">QCPItemLine::setHead</a> and <a class="el" href="class_q_c_p_item_line.html#ac264222c3297a7efe33df9345c811a5f">QCPItemLine::setTail</a>.</p>
<p>The styles themselves are defined via the enum <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">QCPLineEnding::EndingStyle</a>. Most decorations can be modified regarding width and length, see <a class="el" href="class_q_c_p_line_ending.html#a26dc020ea985a72cc25881ce2115e34e">setWidth</a> and <a class="el" href="class_q_c_p_line_ending.html#ae36fa01763751cd64b7f56c3507e935a">setLength</a>. The direction of the ending decoration (e.g. direction an arrow is pointing) is controlled by the line-like item. For example, when both endings of a <a class="el" href="class_q_c_p_item_line.html" title="A line from one point to another.">QCPItemLine</a> are set to be arrows, they will point to opposite directions, e.g. "outward". This can be changed by <a class="el" href="class_q_c_p_line_ending.html#a580e4e2360b35ebb8d68f3494aa2335d">setInverted</a>, which would make the respective arrow point inward.</p>
<p>Note that due to the overloaded <a class="el" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line-like items.">QCPLineEnding</a> constructor, you may directly specify a <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">QCPLineEnding::EndingStyle</a> where actually a <a class="el" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line-like items.">QCPLineEnding</a> is expected, e.g. </p><div class="fragment"></div><!-- fragment --> 
<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01528">1528</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja składowych wyliczanych</h2>
<a id="a5ef16e6876b4b74959c7261d8d4c2cd5" name="a5ef16e6876b4b74959c7261d8d4c2cd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ef16e6876b4b74959c7261d8d4c2cd5">&#9670;&#160;</a></span>EndingStyle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">QCPLineEnding::EndingStyle</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the type of ending decoration for line-like items, e.g. an arrow.</p>
<div class="image">
<img src="QCPLineEnding.png" alt=""/>
</div>
<p>The width and length of these decorations can be controlled with the functions <a class="el" href="class_q_c_p_line_ending.html#a26dc020ea985a72cc25881ce2115e34e">setWidth</a> and <a class="el" href="class_q_c_p_line_ending.html#ae36fa01763751cd64b7f56c3507e935a">setLength</a>. Some decorations like <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5ae5a3414916817258bcc6dddd605e8f5c">esDisc</a>, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5ae1836502fa43d8990bb62b2d493a140a">esSquare</a>, <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a378fe5a8b768411b0bc1765210fe7200">esDiamond</a> and <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a2cf543bbca332df26d89bf779f50469f">esBar</a> only support a width, the length property is ignored.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_item_line.html#aebf3d687114d584e0459db6759e2c3c3">QCPItemLine::setHead</a>, <a class="el" href="class_q_c_p_item_line.html#ac264222c3297a7efe33df9345c811a5f">QCPItemLine::setTail</a>, <a class="el" href="class_q_c_p_item_curve.html#a08a30d9cdd63995deea3d9e20430676f">QCPItemCurve::setHead</a>, <a class="el" href="class_q_c_p_item_curve.html#ac3488d8b1a6489c845dc5bff3ef71124">QCPItemCurve::setTail</a>, <a class="el" href="class_q_c_p_axis.html#a08af1c72db9ae4dc8cb8a973d44405ab">QCPAxis::setLowerEnding</a>, <a class="el" href="class_q_c_p_axis.html#a69119b892fc306f651763596685aa377">QCPAxis::setUpperEnding</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5aca12d500f50cd6871766801bac30fb03" name="a5ef16e6876b4b74959c7261d8d4c2cd5aca12d500f50cd6871766801bac30fb03"></a>esNone&#160;</td><td class="fielddoc"><p>No ending decoration. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5a3d7dcea2f100671727c3417142154f8f" name="a5ef16e6876b4b74959c7261d8d4c2cd5a3d7dcea2f100671727c3417142154f8f"></a>esFlatArrow&#160;</td><td class="fielddoc"><p>A filled arrow head with a straight/flat back (a triangle) </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5ab9964d0d03f812d1e79de15edbeb2cbf" name="a5ef16e6876b4b74959c7261d8d4c2cd5ab9964d0d03f812d1e79de15edbeb2cbf"></a>esSpikeArrow&#160;</td><td class="fielddoc"><p>A filled arrow head with an indented back. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5a61f78ee8f375fb21cb9d250687bbcbd2" name="a5ef16e6876b4b74959c7261d8d4c2cd5a61f78ee8f375fb21cb9d250687bbcbd2"></a>esLineArrow&#160;</td><td class="fielddoc"><p>A non-filled arrow head with open back. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5ae5a3414916817258bcc6dddd605e8f5c" name="a5ef16e6876b4b74959c7261d8d4c2cd5ae5a3414916817258bcc6dddd605e8f5c"></a>esDisc&#160;</td><td class="fielddoc"><p>A filled circle. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5ae1836502fa43d8990bb62b2d493a140a" name="a5ef16e6876b4b74959c7261d8d4c2cd5ae1836502fa43d8990bb62b2d493a140a"></a>esSquare&#160;</td><td class="fielddoc"><p>A filled square. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5a378fe5a8b768411b0bc1765210fe7200" name="a5ef16e6876b4b74959c7261d8d4c2cd5a378fe5a8b768411b0bc1765210fe7200"></a>esDiamond&#160;</td><td class="fielddoc"><p>A filled diamond (45 degrees rotated square) </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5a2cf543bbca332df26d89bf779f50469f" name="a5ef16e6876b4b74959c7261d8d4c2cd5a2cf543bbca332df26d89bf779f50469f"></a>esBar&#160;</td><td class="fielddoc"><p>A bar perpendicular to the line. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5a126c390f0c359fcd8df1fc5e38d26d5b" name="a5ef16e6876b4b74959c7261d8d4c2cd5a126c390f0c359fcd8df1fc5e38d26d5b"></a>esHalfBar&#160;</td><td class="fielddoc"><p>A bar perpendicular to the line, pointing out to only one side (to which side can be changed with <a class="el" href="class_q_c_p_line_ending.html#a580e4e2360b35ebb8d68f3494aa2335d">setInverted</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a5ef16e6876b4b74959c7261d8d4c2cd5a2b2cc96e757ca9bcd91fb70221ed43ab" name="a5ef16e6876b4b74959c7261d8d4c2cd5a2b2cc96e757ca9bcd91fb70221ed43ab"></a>esSkewedBar&#160;</td><td class="fielddoc"><p>A bar that is skewed (skew controllable via <a class="el" href="class_q_c_p_line_ending.html#ae36fa01763751cd64b7f56c3507e935a">setLength</a>) </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01543">1543</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="af2eaf8123b000d97fbd11929c669f61b" name="af2eaf8123b000d97fbd11929c669f61b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2eaf8123b000d97fbd11929c669f61b">&#9670;&#160;</a></span>QCPLineEnding() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPLineEnding::QCPLineEnding </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a <a class="el" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line-like items.">QCPLineEnding</a> instance with default values (style <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5aca12d500f50cd6871766801bac30fb03">esNone</a>). </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05193">5193</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="abb2abc7542f0c7a3c081d878248896a4" name="abb2abc7542f0c7a3c081d878248896a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb2abc7542f0c7a3c081d878248896a4">&#9670;&#160;</a></span>QCPLineEnding() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPLineEnding::QCPLineEnding </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">QCPLineEnding::EndingStyle</a>&#160;</td>
          <td class="paramname"><em>style</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>width</em> = <code>8</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>length</em> = <code>10</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inverted</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Creates a <a class="el" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line-like items.">QCPLineEnding</a> instance with the specified values. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05204">5204</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a07e75aaac6c61322bf51af237c5778e3" name="a07e75aaac6c61322bf51af237c5778e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07e75aaac6c61322bf51af237c5778e3">&#9670;&#160;</a></span>style()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">EndingStyle</a> QCPLineEnding::style </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01560">1560</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_a07e75aaac6c61322bf51af237c5778e3_icgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_a07e75aaac6c61322bf51af237c5778e3_icgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_a07e75aaac6c61322bf51af237c5778e3_icgraph" id="aclass_q_c_p_line_ending_a07e75aaac6c61322bf51af237c5778e3_icgraph">
<area shape="rect" title=" " alt="" coords="377,95,524,121"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="167,5,325,45"/>
<area shape="poly" title=" " alt="" coords="406,92,328,60,298,48,300,43,330,55,408,87"/>
<area shape="rect" href="class_q_c_p_item_line.html#ae184140b61b2ef5b8edde76304447200" title=" " alt="" coords="179,70,313,95"/>
<area shape="poly" title=" " alt="" coords="363,100,313,94,314,88,364,95"/>
<area shape="rect" href="class_q_c_p_item_curve.html#a856ae61de18278847ba5e0e357bf68f2" title=" " alt="" coords="174,119,318,145"/>
<area shape="poly" title=" " alt="" coords="364,121,318,126,318,121,363,116"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a56953b9cb8ed1bed0f025c3935f16910" title=" " alt="" coords="163,169,329,194"/>
<area shape="poly" title=" " alt="" coords="408,128,330,159,292,171,290,166,328,153,406,123"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="5,13,115,38"/>
<area shape="poly" title=" " alt="" coords="153,28,115,28,115,23,153,23"/>
</map>
</div>

</div>
</div>
<a id="ae6f1fb83c210da6ace35d629993287f3" name="ae6f1fb83c210da6ace35d629993287f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6f1fb83c210da6ace35d629993287f3">&#9670;&#160;</a></span>width()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPLineEnding::width </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01561">1561</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_ae6f1fb83c210da6ace35d629993287f3_icgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_ae6f1fb83c210da6ace35d629993287f3_icgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_ae6f1fb83c210da6ace35d629993287f3_icgraph" id="aclass_q_c_p_line_ending_ae6f1fb83c210da6ace35d629993287f3_icgraph">
<area shape="rect" title=" " alt="" coords="224,5,375,31"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a26dc020ea985a72cc25881ce2115e34e" title=" " alt="" coords="5,5,176,31"/>
<area shape="poly" title=" " alt="" coords="210,21,176,21,176,15,210,15"/>
</map>
</div>

</div>
</div>
<a id="aee9050a13fe115bd1b6794f9ad14cd72" name="aee9050a13fe115bd1b6794f9ad14cd72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee9050a13fe115bd1b6794f9ad14cd72">&#9670;&#160;</a></span>length()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPLineEnding::length </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01562">1562</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_aee9050a13fe115bd1b6794f9ad14cd72_icgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_aee9050a13fe115bd1b6794f9ad14cd72_icgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_aee9050a13fe115bd1b6794f9ad14cd72_icgraph" id="aclass_q_c_p_line_ending_aee9050a13fe115bd1b6794f9ad14cd72_icgraph">
<area shape="rect" title=" " alt="" coords="232,5,387,31"/>
<area shape="rect" href="class_q_c_p_line_ending.html#ae36fa01763751cd64b7f56c3507e935a" title=" " alt="" coords="5,5,184,31"/>
<area shape="poly" title=" " alt="" coords="218,21,184,21,184,15,218,15"/>
</map>
</div>

</div>
</div>
<a id="a15a68706d298a0c9f94556f6b4db15ff" name="a15a68706d298a0c9f94556f6b4db15ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15a68706d298a0c9f94556f6b4db15ff">&#9670;&#160;</a></span>inverted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPLineEnding::inverted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01563">1563</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_a15a68706d298a0c9f94556f6b4db15ff_icgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_a15a68706d298a0c9f94556f6b4db15ff_icgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_a15a68706d298a0c9f94556f6b4db15ff_icgraph" id="aclass_q_c_p_line_ending_a15a68706d298a0c9f94556f6b4db15ff_icgraph">
<area shape="rect" title=" " alt="" coords="396,42,563,67"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="177,5,334,45"/>
<area shape="poly" title=" " alt="" coords="382,45,334,38,334,33,383,39"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a580e4e2360b35ebb8d68f3494aa2335d" title=" " alt="" coords="163,70,348,95"/>
<area shape="poly" title=" " alt="" coords="382,69,348,74,348,68,382,64"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="5,13,115,38"/>
<area shape="poly" title=" " alt="" coords="163,28,115,28,115,23,163,23"/>
</map>
</div>

</div>
</div>
<a id="a56953b9cb8ed1bed0f025c3935f16910" name="a56953b9cb8ed1bed0f025c3935f16910"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56953b9cb8ed1bed0f025c3935f16910">&#9670;&#160;</a></span>setStyle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPLineEnding::setStyle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">QCPLineEnding::EndingStyle</a>&#160;</td>
          <td class="paramname"><em>style</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the style of the ending decoration. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05215">5215</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_a56953b9cb8ed1bed0f025c3935f16910_cgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_a56953b9cb8ed1bed0f025c3935f16910_cgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_a56953b9cb8ed1bed0f025c3935f16910_cgraph" id="aclass_q_c_p_line_ending_a56953b9cb8ed1bed0f025c3935f16910_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,172,31"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a07e75aaac6c61322bf51af237c5778e3" title=" " alt="" coords="220,5,367,31"/>
<area shape="poly" title=" " alt="" coords="172,15,206,15,206,21,172,21"/>
</map>
</div>

</div>
</div>
<a id="a26dc020ea985a72cc25881ce2115e34e" name="a26dc020ea985a72cc25881ce2115e34e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26dc020ea985a72cc25881ce2115e34e">&#9670;&#160;</a></span>setWidth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPLineEnding::setWidth </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>width</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the width of the ending decoration, if the style supports it. On arrows, for example, the width defines the size perpendicular to the arrow's pointing direction.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_line_ending.html#ae36fa01763751cd64b7f56c3507e935a">setLength</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05226">5226</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_a26dc020ea985a72cc25881ce2115e34e_cgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_a26dc020ea985a72cc25881ce2115e34e_cgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_a26dc020ea985a72cc25881ce2115e34e_cgraph" id="aclass_q_c_p_line_ending_a26dc020ea985a72cc25881ce2115e34e_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,176,31"/>
<area shape="rect" href="class_q_c_p_line_ending.html#ae6f1fb83c210da6ace35d629993287f3" title=" " alt="" coords="224,5,375,31"/>
<area shape="poly" title=" " alt="" coords="176,15,210,15,210,21,176,21"/>
</map>
</div>

</div>
</div>
<a id="ae36fa01763751cd64b7f56c3507e935a" name="ae36fa01763751cd64b7f56c3507e935a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae36fa01763751cd64b7f56c3507e935a">&#9670;&#160;</a></span>setLength()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPLineEnding::setLength </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>length</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the length of the ending decoration, if the style supports it. On arrows, for example, the length defines the size in pointing direction.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_line_ending.html#a26dc020ea985a72cc25881ce2115e34e">setWidth</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05237">5237</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_ae36fa01763751cd64b7f56c3507e935a_cgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_ae36fa01763751cd64b7f56c3507e935a_cgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_ae36fa01763751cd64b7f56c3507e935a_cgraph" id="aclass_q_c_p_line_ending_ae36fa01763751cd64b7f56c3507e935a_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,184,31"/>
<area shape="rect" href="class_q_c_p_line_ending.html#aee9050a13fe115bd1b6794f9ad14cd72" title=" " alt="" coords="232,5,387,31"/>
<area shape="poly" title=" " alt="" coords="184,15,218,15,218,21,184,21"/>
</map>
</div>

</div>
</div>
<a id="a580e4e2360b35ebb8d68f3494aa2335d" name="a580e4e2360b35ebb8d68f3494aa2335d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a580e4e2360b35ebb8d68f3494aa2335d">&#9670;&#160;</a></span>setInverted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPLineEnding::setInverted </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inverted</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets whether the ending decoration shall be inverted. For example, an arrow decoration will point inward when <em>inverted</em> is set to true.</p>
<p>Note that also the <em>width</em> direction is inverted. For symmetrical ending styles like arrows or discs, this doesn't make a difference. However, asymmetric styles like <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a126c390f0c359fcd8df1fc5e38d26d5b">esHalfBar</a> are affected by it, which can be used to control to which side the half bar points to. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05250">5250</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_a580e4e2360b35ebb8d68f3494aa2335d_cgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_a580e4e2360b35ebb8d68f3494aa2335d_cgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_a580e4e2360b35ebb8d68f3494aa2335d_cgraph" id="aclass_q_c_p_line_ending_a580e4e2360b35ebb8d68f3494aa2335d_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,191,31"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a15a68706d298a0c9f94556f6b4db15ff" title=" " alt="" coords="239,5,405,31"/>
<area shape="poly" title=" " alt="" coords="191,15,225,15,225,21,191,21"/>
</map>
</div>

</div>
</div>
<a id="a14fe390ddd590864ac66a60ed5278df5" name="a14fe390ddd590864ac66a60ed5278df5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14fe390ddd590864ac66a60ed5278df5">&#9670;&#160;</a></span>boundingDistance()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPLineEnding::boundingDistance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05264">5264</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_a14fe390ddd590864ac66a60ed5278df5_icgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_a14fe390ddd590864ac66a60ed5278df5_icgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_a14fe390ddd590864ac66a60ed5278df5_icgraph" id="aclass_q_c_p_line_ending_a14fe390ddd590864ac66a60ed5278df5_icgraph">
<area shape="rect" title=" " alt="" coords="188,5,411,31"/>
<area shape="rect" href="class_q_c_p_item_line.html#ae184140b61b2ef5b8edde76304447200" title=" " alt="" coords="5,5,140,31"/>
<area shape="poly" title=" " alt="" coords="175,21,140,21,140,15,175,15"/>
</map>
</div>

</div>
</div>
<a id="acacd24d386d459b282d3c57f16a5405d" name="acacd24d386d459b282d3c57f16a5405d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acacd24d386d459b282d3c57f16a5405d">&#9670;&#160;</a></span>realLength()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double QCPLineEnding::realLength </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Starting from the origin of this line ending (which is style specific), returns the length covered by the line ending symbol, in backward direction.</p>
<p>For example, the <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5ab9964d0d03f812d1e79de15edbeb2cbf">esSpikeArrow</a> has a shorter real length than a <a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5a3d7dcea2f100671727c3417142154f8f">esFlatArrow</a>, even if both have the same <a class="el" href="class_q_c_p_line_ending.html#ae36fa01763751cd64b7f56c3507e935a">setLength</a> value, because the spike arrow has an inward curved back, which reduces the length along its center axis (the drawing origin for arrows is at the tip).</p>
<p>This function is used for precise, style specific placement of line endings, for example in QCPAxes. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05299">5299</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_acacd24d386d459b282d3c57f16a5405d_icgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_acacd24d386d459b282d3c57f16a5405d_icgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_acacd24d386d459b282d3c57f16a5405d_icgraph" id="aclass_q_c_p_line_ending_acacd24d386d459b282d3c57f16a5405d_icgraph">
<area shape="rect" title=" " alt="" coords="368,13,549,38"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="163,5,320,45"/>
<area shape="poly" title=" " alt="" coords="354,28,320,28,320,23,354,23"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="5,13,115,38"/>
<area shape="poly" title=" " alt="" coords="149,28,115,28,115,23,149,23"/>
</map>
</div>

</div>
</div>
<a id="a4f45db54f2aba03acf055e29aec1e8e7" name="a4f45db54f2aba03acf055e29aec1e8e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f45db54f2aba03acf055e29aec1e8e7">&#9670;&#160;</a></span>draw() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPLineEnding::draw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;&#160;</td>
          <td class="paramname"><em>dir</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05329">5329</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_a4f45db54f2aba03acf055e29aec1e8e7_cgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_a4f45db54f2aba03acf055e29aec1e8e7_cgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_a4f45db54f2aba03acf055e29aec1e8e7_cgraph" id="aclass_q_c_p_line_ending_a4f45db54f2aba03acf055e29aec1e8e7_cgraph">
<area shape="rect" title=" " alt="" coords="5,153,153,179"/>
<area shape="rect" href="class_q_c_p_painter.html#a0b4b1b9bd495e182c731774dc800e6e0" title=" " alt="" coords="219,5,370,31"/>
<area shape="poly" title=" " alt="" coords="87,152,131,97,163,66,200,40,213,33,215,38,203,44,167,70,135,101,91,155"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#ace99f200b347b14864808213eef16593" title=" " alt="" coords="223,55,366,80"/>
<area shape="poly" title=" " alt="" coords="96,151,142,120,200,89,220,81,222,86,202,94,145,125,99,155"/>
<area shape="rect" href="class_q_c_p_painter.html#aef102658219b24165f7ee2aad1b9e48f" title=" " alt="" coords="227,104,363,129"/>
<area shape="poly" title=" " alt="" coords="135,151,225,130,226,135,136,156"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a707bb3af3b1f9331a2450ec75eaf7eb0" title=" " alt="" coords="209,153,381,179"/>
<area shape="poly" title=" " alt="" coords="154,163,195,163,195,169,154,169"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a0e08d09f9027784237e302e32290b001" title=" " alt="" coords="201,203,388,228"/>
<area shape="poly" title=" " alt="" coords="136,176,226,197,225,202,135,181"/>
<area shape="rect" href="class_q_c_p_painter.html#af9c7a4cd1791403901f8c5b82a150195" title=" " alt="" coords="225,252,364,277"/>
<area shape="poly" title=" " alt="" coords="100,177,145,207,202,237,225,245,223,250,200,242,142,211,97,181"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#acd7af3f4a62833ada58be3f3021dbbac" title=" " alt="" coords="215,301,374,327"/>
<area shape="poly" title=" " alt="" coords="92,177,136,230,167,261,203,286,218,294,216,299,200,291,164,265,132,234,88,181"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a10adb5ab031fe94f0b64a3c5aefb552e" title=" " alt="" coords="467,129,613,155"/>
<area shape="poly" title=" " alt="" coords="381,155,453,148,454,153,381,160"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a04c90748c3623044c79fa20788ffbcc6" title=" " alt="" coords="444,179,636,204"/>
<area shape="poly" title=" " alt="" coords="381,172,431,177,430,183,381,178"/>
<area shape="rect" href="class_q_c_p_painter.html#a7e63fbcf47e35c6f2ecd11b8fef7c7d8" title=" " alt="" coords="436,252,644,277"/>
<area shape="poly" title=" " alt="" coords="364,262,422,262,422,267,364,267"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_a4f45db54f2aba03acf055e29aec1e8e7_icgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_a4f45db54f2aba03acf055e29aec1e8e7_icgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_a4f45db54f2aba03acf055e29aec1e8e7_icgraph" id="aclass_q_c_p_line_ending_a4f45db54f2aba03acf055e29aec1e8e7_icgraph">
<area shape="rect" title=" " alt="" coords="368,95,516,121"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html#a0207a99bdf9c4f70af20928898ddc2fc" title=" " alt="" coords="163,5,320,45"/>
<area shape="poly" title=" " alt="" coords="397,92,319,60,290,48,292,43,321,55,399,87"/>
<area shape="rect" href="class_q_c_p_item_line.html#ae184140b61b2ef5b8edde76304447200" title=" " alt="" coords="174,70,309,95"/>
<area shape="poly" title=" " alt="" coords="353,100,309,94,309,89,354,94"/>
<area shape="rect" href="class_q_c_p_item_curve.html#a856ae61de18278847ba5e0e357bf68f2" title=" " alt="" coords="169,119,313,145"/>
<area shape="poly" title=" " alt="" coords="354,121,314,126,313,121,354,116"/>
<area shape="rect" href="class_q_c_p_line_ending.html#af7ac30a81ba85b9bded148c6ec387391" title=" " alt="" coords="167,169,315,194"/>
<area shape="poly" title=" " alt="" coords="398,128,321,159,284,171,282,166,319,153,396,123"/>
<area shape="rect" href="class_q_c_p_axis.html#ac15ebb4225ca5212d8e5fffae481bc9b" title=" " alt="" coords="5,13,115,38"/>
<area shape="poly" title=" " alt="" coords="149,28,115,28,115,23,149,23"/>
</map>
</div>

</div>
</div>
<a id="af7ac30a81ba85b9bded148c6ec387391" name="af7ac30a81ba85b9bded148c6ec387391"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7ac30a81ba85b9bded148c6ec387391">&#9670;&#160;</a></span>draw() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPLineEnding::draw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>angle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l05450">5450</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_line_ending_af7ac30a81ba85b9bded148c6ec387391_cgraph.png" border="0" usemap="#aclass_q_c_p_line_ending_af7ac30a81ba85b9bded148c6ec387391_cgraph" alt=""/></div>
<map name="aclass_q_c_p_line_ending_af7ac30a81ba85b9bded148c6ec387391_cgraph" id="aclass_q_c_p_line_ending_af7ac30a81ba85b9bded148c6ec387391_cgraph">
<area shape="rect" title=" " alt="" coords="5,153,153,179"/>
<area shape="rect" href="class_q_c_p_line_ending.html#a4f45db54f2aba03acf055e29aec1e8e7" title=" " alt="" coords="201,153,349,179"/>
<area shape="poly" title=" " alt="" coords="154,163,187,163,187,169,154,169"/>
<area shape="rect" href="class_q_c_p_painter.html#a0b4b1b9bd495e182c731774dc800e6e0" title=" " alt="" coords="415,5,566,31"/>
<area shape="poly" title=" " alt="" coords="283,152,327,97,359,66,396,40,409,33,411,38,399,44,363,70,331,101,287,155"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#ace99f200b347b14864808213eef16593" title=" " alt="" coords="419,55,562,80"/>
<area shape="poly" title=" " alt="" coords="292,151,338,120,396,89,416,81,418,86,398,94,341,125,295,155"/>
<area shape="rect" href="class_q_c_p_painter.html#aef102658219b24165f7ee2aad1b9e48f" title=" " alt="" coords="423,104,559,129"/>
<area shape="poly" title=" " alt="" coords="331,151,421,130,422,135,332,156"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a707bb3af3b1f9331a2450ec75eaf7eb0" title=" " alt="" coords="405,153,577,179"/>
<area shape="poly" title=" " alt="" coords="350,163,391,163,391,169,350,169"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a0e08d09f9027784237e302e32290b001" title=" " alt="" coords="397,203,584,228"/>
<area shape="poly" title=" " alt="" coords="332,176,422,197,421,202,331,181"/>
<area shape="rect" href="class_q_c_p_painter.html#af9c7a4cd1791403901f8c5b82a150195" title=" " alt="" coords="421,252,560,277"/>
<area shape="poly" title=" " alt="" coords="296,177,341,207,398,237,421,245,419,250,396,242,338,211,293,181"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#acd7af3f4a62833ada58be3f3021dbbac" title=" " alt="" coords="411,301,570,327"/>
<area shape="poly" title=" " alt="" coords="288,177,332,230,363,261,399,286,414,294,412,299,396,291,360,265,328,234,284,181"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a10adb5ab031fe94f0b64a3c5aefb552e" title=" " alt="" coords="663,129,809,155"/>
<area shape="poly" title=" " alt="" coords="577,155,649,148,650,153,577,160"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a04c90748c3623044c79fa20788ffbcc6" title=" " alt="" coords="640,179,832,204"/>
<area shape="poly" title=" " alt="" coords="577,172,627,177,626,183,577,178"/>
<area shape="rect" href="class_q_c_p_painter.html#a7e63fbcf47e35c6f2ecd11b8fef7c7d8" title=" " alt="" coords="632,252,840,277"/>
<area shape="poly" title=" " alt="" coords="560,262,618,262,618,267,560,267"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a4696fc9117b60f1ca7690fcd2ba56611" name="a4696fc9117b60f1ca7690fcd2ba56611"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4696fc9117b60f1ca7690fcd2ba56611">&#9670;&#160;</a></span>mStyle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_line_ending.html#a5ef16e6876b4b74959c7261d8d4c2cd5">EndingStyle</a> QCPLineEnding::mStyle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01579">1579</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="aca89d21341133c20dc6825c33a5eac48" name="aca89d21341133c20dc6825c33a5eac48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca89d21341133c20dc6825c33a5eac48">&#9670;&#160;</a></span>mWidth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPLineEnding::mWidth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01580">1580</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae8e1e2566b96c05736cd92662dba8af8" name="ae8e1e2566b96c05736cd92662dba8af8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8e1e2566b96c05736cd92662dba8af8">&#9670;&#160;</a></span>mLength</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPLineEnding::mLength</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01580">1580</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a91306fe771d54c955e0af21af14349d5" name="a91306fe771d54c955e0af21af14349d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91306fe771d54c955e0af21af14349d5">&#9670;&#160;</a></span>mInverted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCPLineEnding::mInverted</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01581">1581</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_line_ending.html">QCPLineEnding</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
